summaryrefslogtreecommitdiffstats
path: root/source/x/ttf-indic-fonts/ttf-indic-fonts.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/ttf-indic-fonts/ttf-indic-fonts.SlackBuild')
-rwxr-xr-xsource/x/ttf-indic-fonts/ttf-indic-fonts.SlackBuild90
1 files changed, 90 insertions, 0 deletions
diff --git a/source/x/ttf-indic-fonts/ttf-indic-fonts.SlackBuild b/source/x/ttf-indic-fonts/ttf-indic-fonts.SlackBuild
new file mode 100755
index 000000000..2353121ff
--- /dev/null
+++ b/source/x/ttf-indic-fonts/ttf-indic-fonts.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=0.4.7.4
+ARCH=noarch
+BUILD=1
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-ttf-indic-fonts
+
+rm -rf $PKG
+mkdir -p $PKG
+cd $TMP
+rm -rf ttf-indic-fonts-$VERSION
+tar xvf $CWD/ttf-indic-fonts-$VERSION.tar.bz2 || exit 1
+cd ttf-indic-fonts-$VERSION || exit 1
+# Patch copyright notices so that they do not give inaccurate
+# information about where to find the GPL:
+zcat $CWD/ttf-indic-fonts.copyright.diff.gz | patch -p1 --verbose || exit 1
+
+# I'm very interested in making this a better package, but have a
+# long way to go in understanding how all of this works. I know
+# that at least some of the Wikipedia articles I read are filled
+# in better now, but...
+#
+# For example, the hints files in the debian directory (where most
+# of these fonts were found) -- what do they do? And where do they
+# go? Also, some of the nicer looking fonts do not seem to be the
+# defaults (perhaps also due to the lack of "hints").
+#
+# Hopefully this will at least provide a useful start for now.
+#
+# Have fun :-)
+#
+# -- Pat <volkerdi@slackware.com>
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/TTF/
+cp -a */*.ttf $PKG/usr/share/fonts/TTF
+
+# This is a better Malayalam font:
+cp -a $CWD/Samyak_Malayalam.ttf.bz2 $PKG/usr/share/fonts/TTF
+( cd $PKG/usr/share/fonts/TTF
+ bzip2 -d Samyak_Malayalam.ttf.bz2
+ chmod 644 Samyak_Malayalam.ttf
+ chown root:root Samyak_Malayalam.ttf
+)
+# Remove the old Malayalam font:
+rm -f $PKG/usr/share/fonts/TTF/malayalam.ttf
+
+# Put copyright notices in the docs directory:
+mkdir -p $PKG/usr/doc/ttf-indic-fonts-$VERSION
+find . -name "*.copyright" -exec cp -a {} $PKG/usr/doc/ttf-indic-fonts-$VERSION \;
+cp -a $CWD/COPYING.bz2 $PKG/usr/doc/ttf-indic-fonts-$VERSION
+cp -a $CWD/Samyak_Malayalam.url $PKG/usr/doc/ttf-indic-fonts-$VERSION
+( cd $PKG/usr/doc/ttf-indic-fonts-$VERSION ; bzip2 -d COPYING.bz2 )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/ttf-indic-fonts-$VERSION-$ARCH-$BUILD.txz
+